benchmarks/p5-Benchmark-Timer - The NetBSD Packages Collection

Benchmarking with statistical confidence

The Benchmark::Timer class allows you to time portions of code
conveniently, as well as benchmark code by allowing timings of
repeated trials. It is perfect for when you need more precise
information about the running time of portions of your code than
the Benchmark module will give you, but don't want to go all out
and profile your code.

Build dependencies

www/p5-URI-Escape-XS pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 8.0earmv7hfp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 8.0earmv7hfp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 8.0earmv7hfp5-Benchmark-Timer-0.7112nb5.tgz
NetBSD 8.0i386p5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 8.0i386p5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 8.0i386p5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 8.0i386p5-Benchmark-Timer-0.7112nb5.tgz
NetBSD 8.0powerpcp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 8.0powerpcp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 8.0powerpcp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 8.0powerpcp5-Benchmark-Timer-0.7112nb5.tgz
NetBSD 8.0powerpcp5-Benchmark-Timer-0.7112nb5.tgz
NetBSD 8.0x86_64p5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 8.0x86_64p5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 8.0x86_64p5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 8.0x86_64p5-Benchmark-Timer-0.7112nb5.tgz
NetBSD 9.0aarch64p5-Benchmark-Timer-0.7112nb5.tgz
NetBSD 9.0aarch64p5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0aarch64p5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0aarch64p5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0alphap5-Benchmark-Timer-0.7112nb5.tgz
NetBSD 9.0alphap5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0earmv6hfp5-Benchmark-Timer-0.7112nb5.tgz
NetBSD 9.0earmv6hfp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0earmv6hfp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0earmv6hfp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0earmv6hfp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0earmv7hfp5-Benchmark-Timer-0.7112nb5.tgz
NetBSD 9.0earmv7hfp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0earmv7hfp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0earmv7hfp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0earmv7hfp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0earmv7hfp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0earmv7hfp5-Benchmark-Timer-0.7112nb5.tgz
NetBSD 9.0i386p5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0i386p5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0i386p5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0i386p5-Benchmark-Timer-0.7112nb5.tgz
NetBSD 9.0mips64ebp5-Benchmark-Timer-0.7112nb5.tgz
NetBSD 9.0mips64ebp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0mips64ebp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0mips64ebp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0powerpcp5-Benchmark-Timer-0.7112nb5.tgz
NetBSD 9.0powerpcp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0powerpcp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0powerpcp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0powerpcp5-Benchmark-Timer-0.7112nb5.tgz
NetBSD 9.0sparc64p5-Benchmark-Timer-0.7112nb5.tgz
NetBSD 9.0sparc64p5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0sparcp5-Benchmark-Timer-0.7112nb5.tgz
NetBSD 9.0sparcp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0sparcp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0vaxp5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0x86_64p5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0x86_64p5-Benchmark-Timer-0.7112nb5.tgz
NetBSD 9.0x86_64p5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0x86_64p5-Benchmark-Timer-0.7112nb5.tgz
NetBSD 9.0x86_64p5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0x86_64p5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0x86_64p5-Benchmark-Timer-0.7112nb4.tgz
NetBSD 9.0x86_64p5-Benchmark-Timer-0.7112nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.